package com.bonus.material.supplier.service;

import com.bonus.common.core.web.domain.AjaxResult;
import com.bonus.material.supplier.domain.MaSupplier;

import java.util.List;

public interface MaSupplierService {
    MaSupplier getById(Long supplierId);

    List<MaSupplier> list(MaSupplier query);

    AjaxResult add(MaSupplier supplier);

    AjaxResult edit(MaSupplier supplier);

    int remove(Long supplierId);

    List<MaSupplier> listEnabled();
}


